<?php
/**
 * 2007-2022 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    patworx multimedia GmbH <service@patworx.de>
 *  @copyright 2007-2022 patworx multimedia GmbH
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */

if (! defined('_PS_VERSION_')) {
    exit();
}

class EasycreditLog extends ObjectModel
{
    
    public $id;
    
    public $ps_cart_id;
    
    public $ps_order_id;
    
    public $ps_customer_id;
    
    public $easycredit_vorgang;
    
    public $url;
    
    public $request;
    
    public $response;
    
    public $date_add;
    
    public static $definition = array(
        'table' => 'easycredit_log',
        'primary' => 'id_easycredit_log',
        'fields' => array(
            'ps_cart_id' => array(
                'type' => self::TYPE_INT,
                'validate' => 'isInt'
            ),
            'ps_order_id' => array(
                'type' => self::TYPE_INT,
                'validate' => 'isInt'
            ),
            'ps_customer_id' => array(
                'type' => self::TYPE_INT,
                'validate' => 'isInt'
            ),
            'easycredit_vorgang' => array(
                'type' => self::TYPE_STRING
            ),
            'url' => array(
                'type' => self::TYPE_STRING
            ),
            'request' => array(
                'type' => self::TYPE_STRING
            ),
            'response' => array(
                'type' => self::TYPE_STRING
            ),
            'date_add' => array(
                'type' => self::TYPE_DATE,
                'validate' => 'isDateFormat'
            )
        )
    );
    
    public static function updateOrderIdForVorgang($ps_order_id, $easycredit_vorgang)
    {
        $query = 'UPDATE `'._DB_PREFIX_.'easycredit_log` 
                     SET `ps_order_id` = \'' . (int)$ps_order_id . '\'
                   WHERE `easycredit_vorgang` = \'' . pSQL($easycredit_vorgang) . '\'';
        Db::getInstance()->execute($query);
    }
    
    public static function getDataForOrderId($id_order)
    {
        $sql = 'SELECT p.* FROM `' . _DB_PREFIX_ . 'easycredit_log` p
                 WHERE p.`ps_order_id` = \'' . pSQL((int) $id_order) . '\'
              ORDER BY p.`date_add` DESC';
        if ($results = Db::getInstance()->ExecuteS($sql)) {
            return $results;
        }
        return false;
    }
}
