<?php
/**
 * 2007-2022 patworx.de
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade AmazonPay to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    patworx multimedia GmbH <service@patworx.de>
 *  @copyright 2007-2022 patworx multimedia GmbH
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */

namespace Patworx\Easycreditratenkauf\Struct;

if (!defined('_PS_VERSION_')) {
    exit;
}

abstract class Base
{
    /**
     * constructor.
     *
     * @param null $array
     */
    public function __construct($array = null)
    {
        if ($array !== null) {
            if (is_array($array)) {
                $this->fromArray($array);
            }
        }
    }

    /**
     * @param array $array
     */
    public function fromArray(array $array)
    {
        foreach ($array as $field => $v) {
            if (property_exists($this, $field)) {
                $this->{$field} = $v;
            }
        }
    }

    /**
     * @return array
     */
    public function toArray()
    {
        return get_object_vars($this);
    }

    /**
     * @return $this
     */
    public function prepare()
    {
        $class = str_replace('Patworx\Easycreditratenkauf\Struct\\', '', get_class($this));
        foreach ($this->toArray() as $key => $value) {
            if (is_object($value)) {
                $value->prepare();
            } elseif (is_array($value)) {
                foreach ($value as $v) {
                    $v->prepare();
                }
            } else {
                if (!is_numeric($value) && !is_bool($value) && $value == '') {
                    unset($this->$key);
                } else {
                    if (!is_numeric($value) && !is_bool($value)) {
                        $this->$key = (string)$value;
                    } else {
                        $this->$key = $value;
                    }
                }
            }
        }
        return $this;
    }
}
