<?php
/**
 * 2007-2022 patworx.de
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade AmazonPay to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    patworx multimedia GmbH <service@patworx.de>
 *  @copyright 2007-2022 patworx multimedia GmbH
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */

namespace Patworx\Easycreditratenkauf\Struct;

if (!defined('_PS_VERSION_')) {
    exit;
}

class Customer extends Base
{
    public $gender;
    public $firstName;
    public $lastName;
    public $birthDate;
    public $birthName;
    public $birthPlace;
    public $title;
    public $contact;
    public $bank;
    public $employment;

    /**
     * @param $id_gender
     * @return string
     */
    public static function getGenderString($id_gender)
    {
        if ($id_gender == 1) {
            return 'MR';
        } elseif ($id_gender == 2) {
            return 'MRS';
        } elseif ($id_gender == 3) {
            return 'DIVERS';
        }
        return 'NO_GENDER';
    }
}
