/**
* 2007-2022 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2022 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*
* Don't forget to prefix your containers with your own identifier
* to avoid any conflicts with others containers.
*/

$(document).ready(function() {

	setInterval(function() { checkForDoubleModalBackdrop(); }, 1000);

	function checkForDoubleModalBackdrop() {
		if ($(".modal-backdrop").length > 1) {
			$(".modal-backdrop").first().remove();
		}
	}

	if ($("#checkout-payment-step").length > 0) {
		setInterval(function() { checkForEasyCreditPS17(); }, 500);
		setInterval(function() { checkIfEasyCreditIsSelectedPS17(); }, 500);
	}	

	var button_text = '';
	var haveFoundEasyCredit17 = false;
	function checkForEasyCreditPS17() {
		if (!haveFoundEasyCredit17) {
			if ($("#checkout-payment-step input[type=radio][name=payment-option]").length > 0) {
				$("#checkout-payment-step input[type=radio][name=payment-option]").each(function() {
					if ($(this).parent().parent().parent().find(".payment-option").length > 0) {
						$(this).parent().parent().parent().find(".payment-option").children().each(
							function() {
								if ($(this).find('span')) {
									if ($(this).html().indexOf('easyCredit') > -1) {
										haveFoundEasyCredit17 = true;
										button_text = $("#payment-confirmation button[type=submit]").text();
										$(this).parent().find('img').addClass('easyCreditCheckoutLogo');
										if ($(".easycredit-additional").length > 0) {
											$(".easycredit-additional").parent().addClass('easycredit-additional-container');
										}
									}
								}
							}
						);
					}
				});
			}
		}
	}

	$("#payment-confirmation > .ps-shown-by-js > button").click(function(e) {
		return true;
		/*
		var easyCreditPaymentMethodSelected = $(".payment-options").find("input[data-module-name='easycreditratenkauf']").is(":checked");
		if (easyCreditPaymentMethodSelected) {
			if (!$("#easycredit_tos_checkbox").prop("checked")) {
				alert($("#easycredit_error").html());
				return false;
			} else {
				return true;
			}
		}
		*/
	});
	
	var easyCreditIsSelected17 = false;
	var easyCreditLastState = 0;
	function checkIfEasyCreditIsSelectedPS17() {
		haveFoundEasyCreditSelected = false;
		if ($("#checkout-payment-step input[type=radio][name=payment-option]:checked").length > 0) {
			po = $("#checkout-payment-step input[type=radio][name=payment-option]:checked").parent().parent().parent().find(".payment-option");
			po.children().each(
				function() {
					if ($(this).find('span')) {
						if ($(this).html().indexOf('easyCredit') > -1) {
							easyCreditIsSelected17 = true;
                            haveFoundEasyCreditSelected = true;
						}
					}
				}
			);
			if (!haveFoundEasyCreditSelected) {
                easyCreditIsSelected17 = false;
			}
		} else {
			easyCreditIsSelected17 = false;		
		}

		if (easyCreditIsSelected17) {
			$("#payment-confirmation button[type=submit]").text(easycredit.submit_button);
			/*
			if (!$("#easycredit_tos_checkbox").prop("checked")) {
                if (easyCreditLastState != 1) {
                    $("#payment-confirmation button[type=submit]").attr("disabled", "disabled");
                    easyCreditLastState = 1;
                }
			} else {
			 */
				$("#payment-confirmation button[type=submit]").removeAttr("disabled");
                if ($("input[name='conditions_to_approve[terms-and-conditions]']").prop("checked")) {
                    if (easyCreditLastState != 2) {
                        $("input[name='conditions_to_approve[terms-and-conditions]']").trigger('change');
                        easyCreditLastState = 2;
                    }
                }
			/* } */
		} else {
			$("#payment-confirmation button[type=submit]").text(button_text);
			if (easyCreditLastState != 3) {
                //$("#payment-confirmation button[type=submit]").removeAttr("disabled", "disabled");
                $("input[name='conditions_to_approve[terms-and-conditions]']").trigger('change');
                easyCreditLastState = 3;
            }
		}
	}
	
});